#! /usr/local/bin/perl -w
use SAS;
use SAS::error;
use SAS::param;
$ENV{SAS_PATH} = ".";

my $code = 0;

while(<STDIN>){
  last if(/^\s*$/);
  my ($par, $expected) = split;
  SAS::error::client("testparam");
  my $i = parameterCount($par);
  print "Count for $par = $i [expected $expected]\n";
  ++$code if($i != $expected);
}
exit($code);
